Package ru.bitel.bgbilling.modules.bill.server.bean

# Class DocTypeManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.bill.server.bean.DocTypeManager

public class DocTypeManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocTypeManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteType(int id)`
  `DocType`
  `getType(int id)`
  `static DocType`
  `getTypeFromRs(ResultSet rs)`
  `List<DocType>`
  `getTypeList(DocumentType documentType)`
  `Map<Integer,DocType>`
  `getTypeMap()`
  `void`
  `updateType(DocType type)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocTypeManager

    public DocTypeManager(Connection con, int moduleId)

- ## Method Details

  - ### getType

    public DocType getType(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getTypeMap

    public Map<Integer,DocType> getTypeMap() throws SQLException
    Throws:
      `SQLException`

  - ### getTypeList

    public List<DocType> getTypeList(DocumentType documentType) throws SQLException
    Throws:
      `SQLException`

  - ### updateType

    public void updateType(DocType type) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteType

    public void deleteType(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getTypeFromRs

    public static DocType getTypeFromRs(ResultSet rs) throws SQLException
    Throws:
      `SQLException`